//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
	using System.Windows.Forms;
	using System;
	//import Data.SQLite, Reflection for interaction with DataLogger.
	using System.Data.SQLite;
	using System.IO;
	using System.Drawing;
	using System.Reflection;
	using Neo.ApplicationFramework.Tools;
	using Neo.ApplicationFramework.Common.Graphics.Logic;
	using Neo.ApplicationFramework.Controls;
	using Neo.ApplicationFramework.Interfaces;
	using System.Data;
	using System.Linq;
	using System.Text;

	public partial class mySQLiteConnection
	{
		string executingPath = Path.GetDirectoryName(Assembly.GetExecutingAssembly().ManifestModule.FullyQualifiedName); 
		
		
		/// <summary>
		/// Execute the specified query
		/// </summary>
		/// <param name="query"></param>
		/// <returns></returns>
		public DataTable ExecuteSQLiteCommand(string query, string database)
		{
			//setup the SQL connection
			using(var sqlConnection = new SQLiteConnection())
			{				
				string executingPath = Path.GetDirectoryName(Assembly.GetExecutingAssembly().ManifestModule.FullyQualifiedName); 
				sqlConnection.ConnectionString = string.Format("data source={0}", Path.Combine(executingPath, database));

				//success status for return
				bool success = false;

				try
				{
					//open slqConnection
					sqlConnection.Open();

                    
					using(var command = new SQLiteCommand(query, sqlConnection))
					{
						using(SQLiteDataAdapter db = new SQLiteDataAdapter(query, sqlConnection))
						{                            
							using (DataTable dt = new DataTable())
							{
								//refresh the dataset
								db.Fill(dt);
								return dt;
							}						
						}
					}
					//if the try succeeds return true;
					success = true;
				}
				catch(SQLiteException ex)
				{
						return null;	
				}
				
				//return success;
			}
		}
	
	}
}
